package com.heyu.api.data.service.system;
/**
* <p>
* 数据-区域 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.system.SystemAddressEntity;
public interface SystemAddressService extends IService<SystemAddressEntity> {



	SystemAddressEntity selectSystemAddressById(Long id);


	Long insertSystemAddress(SystemAddressEntity systemAddress);


	Long insertOrUpdateSystemAddress(SystemAddressEntity systemAddress);


	int updateSystemAddressById(SystemAddressEntity systemAddress);


	int updateCoverSystemAddressById(SystemAddressEntity systemAddress);


	int deleteSystemAddressById(Long id);


}